> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bills

> Get all bills for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/bills/bills
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/bills/bills:
    get:
      tags:
        - Bills
      summary: Get bills
      description: Get all bills for the authenticated user
      operationId: getBills
      parameters:
        - name: status
          in: query
          description: >-
            Status filter - returns all bills for the specified statuses. Null
            or empty list will default to DRAFT and OPEN.
          schema:
            type: array
            items:
              type: string
              enum:
                - DRAFT
                - OPEN
                - PAID
                - CANCELLED
                - REMOVED
        - name: beginDate
          in: query
          description: >-
            Begin date filter - returns all records with a date after the
            specified date.
          schema:
            type: string
        - name: endDate
          in: query
          description: >-
            End date filter - returns all records with a date before the
            specified date.
          schema:
            type: string
        - name: lastUpdatedDate
          in: header
          description: Date filter - returns all records updated after the specified date.
          schema:
            type: string
          example: '1970-01-01'
        - name: cursor
          in: header
          description: Cursor from the previous paginated response
          schema:
            type: string
        - name: limit
          in: header
          description: Page size, i.e. number of items to return per page
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRAX_GET_RESPONSEBillDTOV5List'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSEBillDTOV5List:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/BillDTOV5'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    BillDTOV5:
      type: object
      properties:
        categoryId:
          type: integer
          description: Id of the category associated with this bill
          format: int64
        id:
          type: integer
          description: Id of the bill, required when updating an existing bill
          format: int64
        status:
          type: string
          description: Status of the bill
          enum:
            - DRAFT
            - OPEN
            - PAID
            - CANCELLED
            - DRAFT
            - OPEN
            - PAID
            - CANCELLED
        amount:
          type: number
          description: The amount of the bill
        date:
          type: string
          description: Date of the bill
          format: date-time
        dueDate:
          type: string
          description: Due date of the bill
          format: date-time
        vendorId:
          type: integer
          description: Id of the vendor associated with this bill
          format: int64
        name:
          type: string
          description: Name of the bill
        billNo:
          type: integer
          description: Number of the bill
          format: int32
        apiName:
          type: string
          description: Name of the API from which this bill originated
          enum:
            - PARTNER_IMPLEMENTATION
            - MELIO
            - USER_ENTRY
        apiInstitutionName:
          type: string
          description: Name of the institution from which the bill originated
        apiBillId:
          type: string
          description: Id of the bill on associated API
        v6Id:
          type: string
          description: Id of the v6 bill entity
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````